<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto = false;
$sesion   = false;
$mensaje  = 'Credenciales no válidas';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && ( Varios::hasModuleActionAccess(3, 6)
        || Varios::hasModuleAccess(4, 6)
        || Varios::hasModuleAccess(5, 6)
    )
) {
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');
	// Variables recibidas correctamente, sanitizamos las  variables
	$txt_modificar     	= filter_var($_POST["txt_modificar"], FILTER_SANITIZE_NUMBER_INT);
	$txt_padre     		= filter_var($_POST["txt_padre"], FILTER_SANITIZE_NUMBER_INT);
	$txt_codigo			= '';
	if($txt_padre == 105000){
		$txt_codigo 		= filter_var($_POST["txt_codigo"], FILTER_SANITIZE_STRING);
	}
	$txt_descripcion 	= filter_var($_POST["txt_descripcion"], FILTER_SANITIZE_STRING);
	
	
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Parametro.Class.php');
	$parametro_obj = new Parametro(null);

	if ($txt_modificar == 0){
		$auditoria_accion   = "Insert";
    	$auditoria_tabla    = "parametro";
    	$auditoria_sql      = "EXEC agenda.SP_parametro_ingresa ".$txt_padre.", '".$txt_codigo."', '".$txt_descripcion."'";

		$parametro_resultado  = $parametro_obj->ingresarParametro($txt_padre, $txt_codigo, $txt_descripcion);
	} else {
		$cmb_estado   		= filter_var($_POST["cmb_estado"], FILTER_SANITIZE_STRING);
		$auditoria_accion   = "Update";
    	$auditoria_tabla    = "parametro";
    	$auditoria_sql      = "EXEC agenda.SP_parametro_modifica ".$txt_padre.", ".$txt_modificar.", '".$txt_codigo."', '".$txt_descripcion."', ".$cmb_estado;

		$parametro_resultado  = $parametro_obj->modificarParametro($txt_padre, $txt_modificar, $txt_codigo, $txt_descripcion, $cmb_estado);
	}

	
	
	$mensaje = $parametro_resultado[1];
	$resultado = $parametro_resultado[0];	
	if($resultado > 0) {		
		$correcto 	= true;		
	}
	Varios::auditInsert( $auditoria_accion, $auditoria_tabla, $auditoria_sql, $resultado, $mensaje );	
	$parametro_obj->Close();
	
} else {
	$sesion = true;
}

$data = array('success' => $correcto, 'mensaje' => $mensaje, 'sesion' => $sesion );
echo json_encode($data);
?>